# -*- coding: utf-8 -*-
"""
Created on Sun Apr 23 17:13:30 2017

@author: Patrick
"""
import matplotlib
import matplotlib.pyplot as plt
import matplotlib.ticker as mtick
from pylab import genfromtxt
from matplotlib import rc
import os 
dir_path = os.path.dirname(os.path.realpath(__file__))
#=============================================================================
# General settings
#%% =============================================================================

plt.rcParams['backend'] = "pdf"
plt.rcParams['xtick.direction'] = 'in'
plt.rcParams['ytick.direction'] = 'in'
plt.rcParams['text.usetex'] = True
plt.rcParams['font.size'] = 12
plt.rcParams['axes.spines.right'] = False
plt.rcParams['axes.spines.top'] = False
plt.rcParams['axes.linewidth'] = 0.8 

mylinewidth=1.6
mytextwidth=12

#=============================================================================
# Read data
#%% =============================================================================


mat2 = genfromtxt(dir_path+'/input_foundation_soil_coupled_HCA-print-out/FOUNDATION.TOP_LEFT_NODE_node_7703.dat',skip_header=1);

#modify

#=============================================================================
# Plot first data
#%% =============================================================================
plt.figure(1)
plt.subplot(111)


plt.semilogx(mat2[:,0], mat2[:,2],'b', linewidth=mylinewidth,\
         markersize=4,markerfacecolor='none',\
         clip_on=True,label=r"$k = 10^{-5}$ m/s")

ax = plt.gca()


ax.set_xlabel(r'Time [s]',fontsize=mytextwidth)
ax.set_ylabel(r'Vertical displacement [m]',fontsize=mytextwidth,labelpad=7)


ax.axis([1,1e5,-0.2,0])


ax.tick_params(axis='x',direction='in',pad=5,labelsize=mytextwidth)
ax.tick_params(axis='y',direction='in',pad=5,labelsize=mytextwidth)
# ax.grid(True,color='k',linewidth=0.6)

fig = plt.gcf()  
fig.savefig('disp_coupled_HCA.pdf', dpi=400 , bbox_inches='tight')
fig.savefig('disp_coupled_HCA.png', dpi=400 , bbox_inches='tight')
