!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!                                          numgeo
!                Copyright (C) 2018-2023 Jan Machacek, Patrick Staubach
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
!
! SUBROUTINE: user_initial_state_variables
!
!> author: Jan Machacek, jan-machacek@outlook.com
!> date: 30.03.2019
!
!> Interface to user subroutine to define the initial values for arbitrary state variables (statev)
!
!>### History
!> 30.03.2019, J. Machacek - Initial version
!> 05.07.2023, P. Staubach - Windows version
!
!=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~~=~=~
subroutine user_initial_state_variables(ie,igp,ndim,nstatev,nchar,material,   &
  coords, statev)   bind(c,name="user_initial_state_variables")
  use, intrinsic :: iso_c_binding
  implicit none
  integer(c_int)                    , intent(in)    :: ie
  integer(c_int)                    , intent(in)    :: igp
  integer(c_int)                    , intent(in)    :: ndim
  integer(c_int)                    , intent(in)    :: nstatev
  integer(c_int)                    , intent(in)    :: nchar
  character(c_char)                 , intent(in)    :: material(*)
  real(c_double), dimension(3)      , intent(in)    :: coords
  real(c_double), dimension(nstatev), intent(inout) :: statev
  
  real(c_double) :: emin, emax, Dr0, htop
  
  emin = 0.6d0
  emax = 1.0d0
  htop = 10.0d0
  
  statev(:) = 0.0d0
  
  Dr0 = 0.5 + 0.05*(htop-coords(2))

  statev(1) = emax - Dr0 * (emax - emin)
  
end subroutine user_initial_state_variables
